extensions / Commerce extension
POST
/__runtime/categories/carouselsCreate Carousel
Lists storefront category carousels with rendered product HTML for a project or host.
POST
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Permissions
- Requires a project with the commerce or portfolio extension enabled.
Headers
Path Parameters
Query Parameters
Request Body
Schema: RuntimeCategoryCarouselsRequest
| Field | Required | Type | Details |
|---|---|---|---|
project_id | No | integer | Description: Target project identifier. |
offset | No | integer | Description: Integer value. |
limit | No | integer | Description: Maximum number of records to return. |
products_limit | No | integer | Description: Integer value. |
product_type | No | string | Description: Product type value. |
category_key | No | string | Description: Text value. |
order | No | integer | Description: Sort field used by this operation. |
category_slug | No | string | Description: URL-safe slug value. |
category_slugs | No | array<string> | Description: Array value. Items: string |
category_ids | No | array<integer> | Description: Array value. Items: integer |
exclude_product_ids | No | array<integer> | Description: Array value. Items: integer |
product_item_code | No | string | Description: Text value. |
featured_product_item_code | No | string | Description: Text value. |
product_item_codes | No | array<string> | Description: Array value. Items: string |
featured_product_item_codes | No | array<string> | Description: Array value. Items: string |
Response Body
Example 200 response
json
{
"items": [],
"has_more": true,
"next_offset": 1
}Errors
404 NOT_FOUNDAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

